DCMTK: DVPSPresentationLUT_PList Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSPresentationLUT_PList Class Reference

the list of presentation LUTs contained in a stored print object. More...

## Public Member Functions
| DVPSPresentationLUT_PList ()
| default constructor
| DVPSPresentationLUT_PList (const DVPSPresentationLUT_PList &copy)
| copy constructor
DVPSPresentationLUT_PList * | clone ()
| clone method.
virtual | ~DVPSPresentationLUT_PList ()
| destructor
OFCondition | read (DcmItem &dset)
| reads a list of Presentation LUTs (Presentation LUT Content Sequence) from a DICOM dataset.
OFCondition | write (DcmItem &dset)
| writes the list of Presentation LUTs managed by this object to a DICOM dataset.
void | clear ()
| reset the object to initial state.
size_t | size () const
| gets the number of Presentation LUTs in this list.
DVPSPresentationLUT * | findPresentationLUT (const char *instanceUID)
| finds a presentation LUT by its SOP instance UID.
void | cleanup (const char *filmBox, DVPSImageBoxContent_PList &imageBoxes)
| removes all presentation LUT entries that are not referenced from the film box or image box level.
const char * | addPresentationLUT (DVPSPresentationLUT *newLUT, OFBool inversePLUT)
| adds a Presentation LUT to the list of managed LUTs.
void | insert (DVPSPresentationLUT *newLUT)
| adds a Presentation LUT to the list of managed LUT.
void | printSCPDelete (T_DIMSE_Message &rq, T_DIMSE_Message &rsp)
| performs a Print SCP Presentation LUT N-DELETE operation.

## Private Member Functions
DVPSPresentationLUT_PList & | operator= (const DVPSPresentationLUT_PList &)
| private undefined assignment operator

## Private Attributes
OFList< DVPSPresentationLUT * > | list_
| the list maintained by this object

## Detailed Description

the list of presentation LUTs contained in a stored print object.

This class manages the data structures comprising one complete Presentation LUT Content Sequence.

## Member Function Documentation

## ◆ addPresentationLUT()

const char * DVPSPresentationLUT_PList::addPresentationLUT | ( | DVPSPresentationLUT * | newLUT,
|  | OFBool | inversePLUT )

adds a Presentation LUT to the list of managed LUTs.

The referenced LUT is copied. If an identical LUT already exists, no duplicate is created.

Parameters

  newLUT | pointer to new Presentation LUT. May be NULL.
  inversePLUT | true if presentation LUT is for Monochrome1 and must be inversed.

Returns
  UID of referenced Presentation LUT. May be NULL (if input was NULL).

## ◆ cleanup()

void DVPSPresentationLUT_PList::cleanup | ( | const char * | filmBox,
|  | DVPSImageBoxContent_PList & | imageBoxes )

removes all presentation LUT entries that are not referenced from the film box or image box level.

Parameters

  filmBox | Presentation LUT UID reference on film box level, may be NULL.
  imageBoxes | list of image boxes

## ◆ clear()

void DVPSPresentationLUT_PList::clear | ( |  | ) |

reset the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSPresentationLUT_PList * DVPSPresentationLUT_PList::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSPresentationLUT_PList object containing a deep copy of this object.

References DVPSPresentationLUT_PList().

## ◆ findPresentationLUT()

DVPSPresentationLUT * DVPSPresentationLUT_PList::findPresentationLUT | ( | const char * | instanceUID | ) |

finds a presentation LUT by its SOP instance UID.

Parameters

  instanceUID | SOP instance UID

Returns
  pointer to matching presentation LUT if found, NULL otherwise.

## ◆ insert()

void DVPSPresentationLUT_PList::insert | ( | DVPSPresentationLUT * | newLUT | ) |
| inline

adds a Presentation LUT to the list of managed LUT.

The LUT object becomes owned by this object and is destroyed upon destruction of the list.

Parameters

  newLUT | LUT to be added.

References list_.

## ◆ printSCPDelete()

void DVPSPresentationLUT_PList::printSCPDelete | ( | T_DIMSE_Message & | rq,
|  | T_DIMSE_Message & | rsp )

performs a Print SCP Presentation LUT N-DELETE operation.

The results of the N-DELETE operation are stored in the object passed as rsp.

Parameters

  rq | N-DELETE request message
  rsp | N-DELETE response message

## ◆ read()

OFCondition DVPSPresentationLUT_PList::read | ( | DcmItem & | dset | ) |

reads a list of Presentation LUTs (Presentation LUT Content Sequence) from a DICOM dataset.

The DICOM elements of the image references item are copied from the dataset to this object. The completeness of all items (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the DICOM dataset from which the sequence is to be read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ size()

size_t DVPSPresentationLUT_PList::size | ( |  | ) | const
| inline

gets the number of Presentation LUTs in this list.

Returns
  the number of Presentation LUTs.

References list_.

## ◆ write()

OFCondition DVPSPresentationLUT_PList::write | ( | DcmItem & | dset | ) |

writes the list of Presentation LUTs managed by this object to a DICOM dataset.

Copies of the DICOM element managed by this object are inserted into the DICOM dataset.

Parameters

  dset | the DICOM dataset to which the ReferencedImageSequence is written

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpspll.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1